/**
 * English and French comments
 * This file adds the "Arma3" objects in the configuration variables of the logistics system.
 * Important note : All the classes names which inherits from the ones used in configuration variables will be also available.
 */

/*
//master list

"B_Mortar_01_F",
"O_Mortar_01_F",
"I_G_Mk6",
//"B_Mortar_01_support_F",
//"B_Mortar_01_weapon_F",

"C_Offroad_01_F",
"B_Quadbike_01_F",
"B_MRAP_01_F",
"B_MRAP_01_hmg_F",
"B_MRAP_01_gmg_F",

"O_MRAP_02_F",
"O_MRAP_02_gmg_F",
"O_MRAP_02_hmg_F",

"O_MRAP_02_F",
"O_MRAP_02_gmg_F",
"O_MRAP_02_hmg_F",

"B_Lifeboat",
"B_Boat_Armed_01_minigun_F",
"B_Boat_Transport_01_F",
"O_Boat_Armed_01_hmg_F",
"O_assaultboat",

"B_Heli_Light_01_F",
"C_M900_F",
"B_Heli_Light_01_armed_F",
"B_RH9_F",
"O_Heli_Light_02_F",
"O_Heli_Attack_02_F",

"Box_NATO_Wps_F",
"Box_East_Wps_F",
"Box_NATO_WpsSpecial_F",
"Box_NATO_AmmoOrd_F",
"B_supplyCrate_F",

"Land_Bricks_V1_F",
"Land_CncBarrier_F",
"Land_Cargo_HQ_V2_F",
"Land_Cargo_HQ_V1_F",
"Land_Cargo_Patrol_V2_F",
"Land_Cargo_Patrol_V1_F",
"Land_Cargo_House_V2_F",
"Land_Cargo_House_V1_F",
"Land_Razorwire_F",
"Land_Cargo20_military_green_F",
"Land_Cargo40_military_green_F",

*/


/****** TOW WITH VEHICLE / REMORQUER AVEC VEHICULE ******/
/**
 * List of class names of vehicles which can tow towable objects.
 */
R3F_LOG_CFG_remorqueurs = R3F_LOG_CFG_remorqueurs +
[
	"B_MRAP_01_F",
	"B_MRAP_01_hmg_F",
	"B_MRAP_01_gmg_F",
	"O_MRAP_02_F",
	"O_MRAP_02_gmg_F",
	"O_MRAP_02_hmg_F",
	"O_MRAP_02_F",
	"O_MRAP_02_gmg_F",
	"O_MRAP_02_hmg_F"
];
/**
 * List of class names of towable objects.
 */
R3F_LOG_CFG_objets_remorquables = R3F_LOG_CFG_objets_remorquables +
[
	"C_Offroad_01_F",
	"B_Quadbike_01_F",
	"B_MRAP_01_F",
	"B_MRAP_01_hmg_F",
	"B_MRAP_01_gmg_F",
	"O_MRAP_02_F",
	"O_MRAP_02_gmg_F",
	"O_MRAP_02_hmg_F",
	"O_MRAP_02_F",
	"O_MRAP_02_gmg_F",
	"O_MRAP_02_hmg_F",
	"B_Lifeboat",
	"B_Boat_Armed_01_minigun_F",
	"B_Boat_Transport_01_F",
	"O_Boat_Armed_01_hmg_F",
	"O_assaultboat",
	"Land_Cargo20_military_green_F",
	"Land_Cargo40_military_green_F"

];

/****** LIFT WITH VEHICLE / HELIPORTER AVEC VEHICULE ******/

/**
 * List of class names of air vehicles which can lift liftable objects.
 */

//R3F_LOG_CFG_heliporteurs = R3F_LOG_CFG_heliporteurs +
//[
//	"B_Heli_Light_01_F",
//	"C_M900_F",
//	"B_Heli_Light_01_armed_F",
//	"B_RH9_F",
//	"O_Heli_Light_02_F",
//	"O_Heli_Attack_02_F"
//];
/**
 * List of class names of liftable objects.
 */

/*
R3F_LOG_CFG_objets_heliportables = R3F_LOG_CFG_objets_heliportables +
[
	"B_Mortar_01_F",
	"O_Mortar_01_F",
	"I_G_Mk6",
//	"B_Mortar_01_support_F",
//	"B_Mortar_01_weapon_F",
	"C_Offroad_01_F",
	"B_Quadbike_01_F",
	"B_MRAP_01_F",
	"B_MRAP_01_hmg_F",
	"B_MRAP_01_gmg_F",
	"O_MRAP_02_F",
	"O_MRAP_02_gmg_F",
	"O_MRAP_02_hmg_F",
	"O_MRAP_02_F",
	"O_MRAP_02_gmg_F",
	"O_MRAP_02_hmg_F",
	"B_Lifeboat",
	"B_Boat_Armed_01_minigun_F",
	"B_Boat_Transport_01_F",
	"O_Boat_Armed_01_hmg_F",
	"O_assaultboat"
];
*/

/****** LOAD IN VEHICLE / CHARGER DANS LE VEHICULE ******/
/*
 * This section use a quantification of the volume and/or weight of the objets.
 * The arbitrary referencial used is : an ammo box of type USSpecialWeaponsBox "weights" 5 units.
 * Note : the priority of a declaration of capacity to another corresponds to their order in the tables.
 *   For example : the "Truck" class is in the "Car" class (see http://community.bistudio.com/wiki/ArmA_2:_CfgVehicles).
 *   If "Truck" is declared with a capacity of 140 before "Car". And if "Car" is declared after "Truck" with a capacity of 40,
 *   Then all the sub-classes in "Truck" will have a capacity of 140. And all the sub-classes of "Car", excepted the ones
 *   in "Truck", will have a capacity of 40.
 */

/**
 * List of class names of (ground or air) vehicles which can transport transportable objects.
 * The second element of the arrays is the load capacity (in relation with the capacity cost of the objects).
 */
R3F_LOG_CFG_transporteurs = R3F_LOG_CFG_transporteurs +
[
	["C_Offroad_01_F", 20],
	["B_Quadbike_01_F", 15],
	["B_MRAP_01_F", 35],
	["B_MRAP_01_hmg_F", 20],
	["B_MRAP_01_gmg_F", 20],
	["O_MRAP_02_F", 35],
	["O_MRAP_02_gmg_F", 20],
	["O_MRAP_02_hmg_F", 20],
	["O_MRAP_02_F", 35],
	["O_MRAP_02_gmg_F", 20],
	["O_MRAP_02_hmg_F", 20],
	["B_Lifeboat", 10],
	["B_Boat_Armed_01_minigun_F", 15],
	["B_Boat_Transport_01_F", 25],
	["O_Boat_Armed_01_hmg_F", 15],
	["O_assaultboat", 25],
	["B_Heli_Light_01_F", 15],
	["C_M900_F", 100],
	["B_Heli_Light_01_armed_F", 10],
	["B_RH9_F", 50],
	["O_Heli_Light_02_F", 50],
	["O_Heli_Attack_02_F", 40],
	["Land_Cargo20_military_green_F", 60],
	["Land_Cargo40_military_green_F", 120]

];
/**
 * List of class names of transportable objects.
 * The second element of the arrays is the cost capacity (in relation with the capacity of the vehicles).
 * 
 */
R3F_LOG_CFG_objets_transportables = R3F_LOG_CFG_objets_transportables +
[
	["C_Offroad_01_F", 40],
	["B_Quadbike_01_F", 25],
	["B_MRAP_01_F", 50],
	["B_MRAP_01_hmg_F", 50],
	["B_MRAP_01_gmg_F", 50],
	["O_MRAP_02_F", 50],
	["O_MRAP_02_gmg_F", 50],
	["O_MRAP_02_hmg_F", 50],
	["O_MRAP_02_F", 50],
	["O_MRAP_02_gmg_F", 50],
	["O_MRAP_02_hmg_F", 50],
	["B_Lifeboat", 50],
	["B_Boat_Armed_01_minigun_F", 50],
	["B_Boat_Transport_01_F", 100],
	["O_Boat_Armed_01_hmg_F", 50],
	["O_assaultboat", 100],
	["B_Mortar_01_F", 5],
	["O_Mortar_01_F", 5],
	["I_G_Mk6", 5],
//	["B_Mortar_01_support_F", 5],
//	["B_Mortar_01_weapon_F", 5],
	["Box_NATO_Wps_F", 5],
	["Box_East_Wps_F", 5],
	["Box_NATO_WpsSpecial_F", 5],
	["Box_NATO_AmmoOrd_F", 5],
	["Land_FieldToilet_F", 10],
	["B_supplyCrate_F", 5],
	["Land_Bricks_V1_F", 4],
	["Land_CncBarrier_F", 2],
	["Land_Cargo_HQ_V2_F", 100],
	["Land_Cargo_HQ_V1_F", 100],
	["Land_Cargo_Patrol_V2_F", 60],
	["Land_Cargo_Patrol_V1_F", 60],
	["Land_Cargo_House_V2_F", 60],
	["Land_Cargo_House_V1_F", 60],
	["Land_Razorwire_F", 4],
	["Land_Cargo20_military_green_F", 50],
	["Land_Cargo40_military_green_F", 100]
];

/****** MOVABLE-BY-PLAYER OBJECTS / OBJETS DEPLACABLES PAR LE JOUEUR ******/

/**
 * List of class names of objects moveable by player.
 */
R3F_LOG_CFG_objets_deplacables = R3F_LOG_CFG_objets_deplacables +
[
	"B_Mortar_01_F",
	"O_Mortar_01_F",
	"I_G_Mk6",
	"Box_NATO_Wps_F",
	"Box_East_Wps_F",
	"Box_NATO_WpsSpecial_F",
	"Box_NATO_AmmoOrd_F",
	"Land_FieldToilet_F",
	"B_supplyCrate_F",
	"Land_Bricks_V1_F",
	"Land_CncBarrier_F",
	"Land_Razorwire_F"
];